Package org.apache.felix.utils.manifest

# Class Clause

java.lang.Object
org.apache.felix.utils.manifest.Clause

public class Clause extends Object

## Constructor Summary

Constructors
Constructor
Description
`Clause(String name, Directive[] directives, Attribute[] attributes)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String name)`
`Attribute[]`
`getAttributes()`
`String`
`getDirective(String name)`
`Directive[]`
`getDirectives()`
`String`
`getName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Clause

public Clause(String name, Directive[] directives, Attribute[] attributes)

## Method Details

### getName

public String getName()

### getDirectives

public Directive[] getDirectives()

### getAttributes

public Attribute[] getAttributes()

### getDirective

public String getDirective(String name)

### getAttribute

public String getAttribute(String name)

### toString

public String toString()

Overrides:
  `toString` in class `Object`